*{
    box-sizing: border-box;
    margin: 0;
    background-color: black;
    color: white;
    font-family: Roboto, sans-serif;
    font-size: 1.2rem;
    scroll-behavior: smooth;
}

:target {
    scroll-margin-top: 5rem;
}

a {
    text-decoration: none;
}

header{
    position: fixed;
    top: 0;
    width: 100%;
    height: 5rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

main{
    padding-top: 5rem;
}

.nav-link{
    padding: 0 2rem;
    font-size: 1.5rem;
    text-decoration: none;
}

.welcome,
.contact{
    height: calc(100vh - 5rem);
    width: 100%;
    background-color: darkred;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.welcome *,
.contact *{
    background-color: inherit;
}

h1 {
    font-size: 4rem;
}
h2 {
    font-size: 2rem;
}

.projects{
    margin-top: 2rem;
    width: 100%;
    display: flex;
    align-items: center;
    flex-direction: column;
}

.projects-container{
    display: flex;
    justify-content: space-evenly;
    width: 80%;
    padding: 2rem;
    gap: 2rem;
}

.project-tile{
    width: 30%;
    aspect-ratio: 1 / 1;
    background-color: white;
    color: black;
    text-align: center;
    padding-top: 1rem;
}

.project-tile *{
    background-color: inherit;
    color: inherit;
}

.project-tile img{
    object-fit: cover;
    width: 90%;
    aspect-ratio: 1 / 1;
}

@media only screen and (max-width:1000px) {
    header{
        flex-direction: column;
        height: min-content;
        padding: 20px;
    }
    .nav-link{
        padding: 0 1rem;
        font-size: 1rem;
    }

    main{
        padding-top: 2.5rem;
    }
    .welcome{
        height: calc(100vh - 2.5rem);
    }

    h1{
        font-size: 2rem;
        text-align: center;
    }
    h2{
        font-size: 1.5rem;
        text-align: center;
    }

    .projects-container{
        flex-direction: column;
        align-items: center;
    }

    .project-tile{
        width: 100%;
        aspect-ratio: 1 / 1;
    }
}